API Reference
MiniMax H3 reference API
POST
minimax-h3-api
ID 40
MiniMax H3 reference video generation. Parameters follow this page.
POST
https://xiaoapis.com/api/video/minimaxrtv
Overview
- 全能参考
- 异步任务
Use cases
- 可控视频生成
- 参考驱动创意
Conventions
- Gateway ·
https://xiaoapis.com - Auth · send
key(query or JSON body, as this API specifies) - Response · JSON. Check the business code and the HTTP status, not only HTTP 200
Authentication
Send the platform API key (query parameter key or JSON field key, as this page specifies). Create one in API key management.
POST https://xiaoapis.com/api/video/minimaxrtv
Content-Type: application/json
{
"key": "YOUR_API_KEY"
}
Request example
https://xiaoapis.com/api/video/minimaxrtv?key=你的密钥
Details
请求HEADER:
| 名称 | 值 |
|---|---|
| Content-Type | application/json |
请求参数说明:
| 名称 | 必填 | 类型 | 示例值 | 说明 |
|---|---|---|---|---|
| key | 是 | string | 35kj5jnlj53453kl5j43nj5 | 接口密钥,在控制台->密钥管理查看 |
| prompt | 是 | string | 一个宁静的海滩在日落时分,海浪轻轻拍打着海岸,棕榈树随风摇曳,海鸥在橙色天空中飞翔。 | 用于生成视频的文本提示词。(最大长度:30000个字符) |
| callBackUrl | 是 | string | https://your-domain.com/api/callback | 回调地址,接收生成任务完成更新的URL。但推荐用于生产环境使用。当生成完成后,系统将向此URL发送任务状态和结果的POST请求。 |
| reference_image_urls | 是 | array[string<URL>] | ["https://file.aiquickdraw.com/example1.png"] | 参考图像URL列表, 1≤ n ≤9 张图片,最多支持9张图像。支持 HTTP、HTTPS 和 OSS地址3项支持的图像格式包括JPG、JPEG、PNG、WEBP、HEIC和 HEIF; 单个图像的尺寸不得超过 30 MB;图像的边长必须在 256 至 5760 像素之间,且长宽比必须在 0.4 至 2.5 之间。 |
| reference_video_urls | 否 | array[string<URL>] | ["https://file.aiquickdraw.com/example1.mp4"] | 参考视频URL列表, 支持 ≤3 个视频,支持 MP4、MOV格式;视频编码支持 H.264、H.265,音频编码支持 AAC、MP3;单个文件大小不得超过 50MB;单个片段的持续时间为2至15秒,所有参考视频的总持续时间不得超过15 秒;视频边长必须在 256 至 5760 像素之间,纵横比必须在 0.4 至 2.5 之间,帧速率必须在 23.976 至 60 之间。 |
| reference_audio_urls | 否 | array[string<URL>] | ["https://file.aiquickdraw.com/example1.wav"] | 参考音频URL列表, 支持 ≤ 3 个音频,支持 WAV、MP3 格式;单个文件大小不得超过 15 MB;单个片段的持续时间为2至 15 秒,而所有参考音频的总持续时间不得超过 15 秒。参考音频不能单独使用,必须与参考图像或参考视频一同呈现。 |
| resolution | 否 | string | 720p | 生成视频的分辨率,视频分辨率2K用于更快生成,720p用于平衡。允许的值:2K、720p, 注意:默认720p。 |
| aspect_ratio | 否 | string | 16:9 | 生成视频的宽高比,视频宽高比配置。允许的值:1:1、4:3、3:4、16:9、9:16、adaptive(自适应)、21:9;默认值:16:9。 |
| duration | 否 | int | 10 | 生成视频的时长,视频时长在4到15秒之间;注意:默认10。 |
返回参数说明:
| 名称 | 类型 | 说明 |
|---|---|---|
| code | int | 状态码 |
| msg | string | 状态信息 |
| data | string | 请求结果数据集 |
| -- task_id | string | 任务 ID 可以查询任务状态 |
| debug | string/array | 调试数据 |
| exec_time | float | 执行耗时 |
| user_ip | string | 客户端IP |
FAQ
H3 全能参考适合什么?
需要参考输入提升可控性的视频生成场景。
如何调用?
按文档提交参考与提示参数,异步获取结果。
和 Seedance 2.5 如何选?
不同模型风格,建议按样片效果与成本选择。
是否支持回调?
若文档提供 notify/callback 字段则支持。
限流与计费?
以控制台与文档为准。
Related APIs
Full console doc (with the debugger):/doc/40